Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.soa.esb.notification
Class NotifySqlTable

    java.lang.Object
      org.jboss.soa.esb.notification.NotificationTarget
          org.jboss.soa.esb.notification.NotifySqlTable

    public class NotifySqlTable

extends NotificationTarget

Field Summary
`static java.lang.String` | `ATT_DATA`
`static java.lang.String` | `ATT_NAME`
`static java.lang.String` | `ATT_TABLE`
`static java.lang.String` | `ATT_VALUE`
`static java.lang.String` | `CHILD_COLUMN`
`protected java.util.Properties` | `m_oCols`
`protected java.lang.String` | `m_sDataCol`
`protected java.lang.String` | `m_sDriver`
`protected java.lang.String` | `m_sPwd`
`protected java.lang.String` | `m_sTable`
`protected java.lang.String` | `m_sURL`
`protected java.lang.String` | `m_sUser`

Fields inherited from class org.jboss.soa.esb.notification.NotificationTarget
`m_oParms, PRM_NOTIF_CLASS`

Constructor Summary
`NotifySqlTable(ConfigTree configTree)`

Method Summary
`protected JdbcCleanConn` | `createJdbcCleanConnection()`
`java.lang.String` | `getInsertStmt()`
`void` | `sendNotification(Message message)` Derived classes must implement this method to do what has to be done to trigger that specific type of notification event

Methods inherited from class org.jboss.soa.esb.notification.NotificationTarget
`fromParams`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CHILD_COLUMN

    public static final java.lang.String CHILD_COLUMN

See Also:
  Constant Field Values

### ATT_TABLE

    public static final java.lang.String ATT_TABLE

See Also:
  Constant Field Values

### ATT_DATA

    public static final java.lang.String ATT_DATA

See Also:
  Constant Field Values

### ATT_NAME

    public static final java.lang.String ATT_NAME

See Also:
  Constant Field Values

### ATT_VALUE

    public static final java.lang.String ATT_VALUE

See Also:
  Constant Field Values

### m_sDriver

    protected java.lang.String m_sDriver

### m_sURL

    protected java.lang.String m_sURL

### m_sUser

    protected java.lang.String m_sUser

### m_sPwd

    protected java.lang.String m_sPwd

### m_sTable

    protected java.lang.String m_sTable

### m_sDataCol

    protected java.lang.String m_sDataCol

### m_oCols

    protected java.util.Properties m_oCols

Constructor Detail

### NotifySqlTable

    public NotifySqlTable(ConfigTree configTree)
                   throws ConfigurationException

Throws:
  `ConfigurationException`

Method Detail

### getInsertStmt

    public java.lang.String getInsertStmt()

### sendNotification

    public void sendNotification(Message message)
                          throws NotificationException

  Description copied from class: `NotificationTarget`
  Derived classes must implement this method to do what has to be done to trigger that specific type of notification event

  Specified by:
    `sendNotification` in class `NotificationTarget`
  Parameters:
    `message` - Object - The toString() method of this object will be the actual notification content
  Throws:
    `NotificationException` - - invoke Exception.getMessage() at runtime for this object
  See Also:
    `ConfigTree`

### createJdbcCleanConnection

    protected JdbcCleanConn createJdbcCleanConnection()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD